#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	CzFast
Summary:	CzFast - Perl module for Czech charsets manipulation
Summary(pl.UTF-8):	CzFast - moduł Perla do manipulacji czeskimi zestawami znaków
Name:		perl-CzFast
Version:	0.10
Release:	7
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/T/TR/TRIPIE/%{pnam}-%{version}.tar.gz
# Source0-md5:	03f8221f66f181f8c08c121c4707e2d9
Source1:	%{pnam}.3pm
URL:		http://search.cpan.org/dist/CzFast/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CzFast is a Perl module for Czech charsets manipulation. It uses
character tables created by Jaromir Dolecek for the Csacek project
(http://www.csacek.cz/).

%description -l pl.UTF-8
CzFast jest modułem Perla do manipulacji czeskimi zestawami znaków.
Korzysta on z tablic przekodowań utworzonych przez Jaromira Dolecka
na potrzeby projektu Csacek (http://www.csacek.cz/).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/cs/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_mandir}/man3/CzFast.3pm* $RPM_BUILD_ROOT%{_mandir}/cs/man3
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/CzFast.pm
%dir %{perl_vendorarch}/auto/CzFast
%{perl_vendorarch}/auto/CzFast/CzFast.bs
%attr(755,root,root) %{perl_vendorarch}/auto/CzFast/CzFast.so
%{_mandir}/man3/*
%lang(cs) %{_mandir}/cs/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-CzFast.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ecb2418
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 03767c7
- release 6

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b96324
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> ed8a287
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 983f8d1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d20ef73
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> a8b1bca
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 059d620
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 28a1151
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 9da00df
- rel. 4

* Thu May 06 2004 ankry <ankry@pld-linux.org> e5d26c0
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 7708f23
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> be4e605
- new bconds

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 6f9eec0
- license/summary fixes and cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c97e86d
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 13240fe
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 71e1ac0
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 41ff331
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 1b77045
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> ea0f805
- use the __perl macro

